Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR2.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR2.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR2.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR2 ; COMPILED XREF FOR FILE #55.01 ; 12/12/07
+PSSJXR2 ; COMPILED XREF FOR FILE #55.01 ; 01/17/08
  ; 
  S DA(1)=DA S DA=0
@@ -63,21 +63,6 @@
  S X=$P(DIKZ(0),U,1)
  I X'="" K ^PS(55,DA(1),"IV","B",$E(X,1,30),DA)
-CR1 S DIXR=415
+CR1 S DIXR=481
  K X
- S DIKZ(.2)=$G(^PS(55,DA(1),"IV",DA,.2))
- S X(1)=$P(DIKZ(.2),U,8)
- S X(2)=$P(DIKZ(0),U,21)
- S X=$G(X(1))
- I $G(X(1))]"",$G(X(2))]"" D
- . K X1,X2 M X1=X,X2=X
- . S:$D(DIKIL) (X2,X2(1),X2(2))=""
- . N DIKXARR M DIKXARR=X S DIKCOND=1
- . S X=1
- . S DIKCOND=$G(X) K X M X=DIKXARR
- . Q:'DIKCOND
- . K ^PS(55,"ACX",$E(X(1),1,30),$E(X(2),1,30),DA_"V")
-CR2 S DIXR=466
- K X
- S DIKZ(0)=$G(^PS(55,DA(1),"IV",DA,0))
  S X(1)=$P(DIKZ(0),U,2)
  S X(2)=$P(DIKZ(0),U,3)
@@ -91,5 +76,20 @@
  . Q:'DIKCOND
  . D KPSPA^PSJXRFK(.X,.DA,"IV")
-CR3 S DIXR=498
+CR2 S DIXR=493
+ K X
+ S DIKZ(.2)=$G(^PS(55,DA(1),"IV",DA,.2))
+ S X(1)=$P(DIKZ(.2),U,8)
+ S DIKZ(0)=$G(^PS(55,DA(1),"IV",DA,0))
+ S X(2)=$P(DIKZ(0),U,21)
+ S X=$G(X(1))
+ I $G(X(1))]"",$G(X(2))]"" D
+ . K X1,X2 M X1=X,X2=X
+ . S:$D(DIKIL) (X2,X2(1),X2(2))=""
+ . N DIKXARR M DIKXARR=X S DIKCOND=1
+ . S X=1
+ . S DIKCOND=$G(X) K X M X=DIKXARR
+ . Q:'DIKCOND
+ . K ^PS(55,"ACX",$E(X(1),1,30),$E(X(2),1,30),DA_"V")
+CR3 S DIXR=494
  K X
  S DIKZ(0)=$G(^PS(55,DA(1),"IV",DA,0))
@@ -102,5 +102,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . K ^PS(55,"AIVC",$E(X(1),1,20),$E(X(2),1,20),DA(1),DA)
-CR4 S DIXR=500
+CR4 S DIXR=496
  K X
  S DIKZ(0)=$G(^PS(55,DA(1),"IV",DA,0))
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR20.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR20.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR20.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR20 ; COMPILED XREF FOR FILE #55.0108 ; 12/12/07
+PSSJXR20 ; COMPILED XREF FOR FILE #55.0108 ; 01/17/08
  ; 
  S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR21.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR21.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR21.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR21 ; COMPILED XREF FOR FILE #55.03 ; 12/12/07
+PSSJXR21 ; COMPILED XREF FOR FILE #55.03 ; 01/17/08
  ; 
  S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR22.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR22.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR22.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR22 ; COMPILED XREF FOR FILE #55.05 ; 12/12/07
+PSSJXR22 ; COMPILED XREF FOR FILE #55.05 ; 01/17/08
  ; 
  S DA=0
@@ -14,5 +14,5 @@
  S X=$P(DIKZ(0),U,10)
  I X'="" S ^PS(55,"ADCDT",$E(X,1,30),DA(1),DA)=""
-CR1 S DIXR=464
+CR1 S DIXR=479
  K X
  S X(1)=$P(DIKZ(0),U,1)
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR23.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR23.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR23.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR23 ; COMPILED XREF FOR FILE #55.06 ; 12/12/07
+PSSJXR23 ; COMPILED XREF FOR FILE #55.06 ; 01/17/08
  ; 
  S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR24.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR24.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR24.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR24 ; COMPILED XREF FOR FILE #55.02 ; 12/12/07
+PSSJXR24 ; COMPILED XREF FOR FILE #55.02 ; 01/17/08
  ; 
  I X'="" D
@@ -48,18 +48,5 @@
  S X=$P(DIKZ(0),U,27)
  I X'="" I '$D(DIU(0)) D:$D(PSGAL(107)) KILL^PSGAL5:PSGAL(107)=X K PSGAL
-CR1 S DIXR=414
- K X
- S DIKZ(.2)=$G(^PS(55,DA(1),5,DA,.2))
- S X(1)=$P(DIKZ(.2),U,8)
- S X(2)=$P(DIKZ(0),U,21)
- S X=$G(X(1))
- I $G(X(1))]"",$G(X(2))]"" D
- . K X1,X2 M X1=X,X2=X
- . N DIKXARR M DIKXARR=X S DIKCOND=1
- . S X=1
- . S DIKCOND=$G(X) K X M X=DIKXARR
- . Q:'DIKCOND
- . S ^PS(55,"ACX",$E(X(1),1,30),$E(X(2),1,30),DA_"U")=""
-CR2 S DIXR=465
+CR1 S DIXR=480
  K X
  S DIKZ(2)=$G(^PS(55,DA(1),5,DA,2))
@@ -74,5 +61,19 @@
  . Q:'DIKCOND
  . D SPSPA^PSJXRFS(.X,.DA,"UD")
-CR3 S DIXR=499
+CR2 S DIXR=492
+ K X
+ S DIKZ(.2)=$G(^PS(55,DA(1),5,DA,.2))
+ S X(1)=$P(DIKZ(.2),U,8)
+ S DIKZ(0)=$G(^PS(55,DA(1),5,DA,0))
+ S X(2)=$P(DIKZ(0),U,21)
+ S X=$G(X(1))
+ I $G(X(1))]"",$G(X(2))]"" D
+ . K X1,X2 M X1=X,X2=X
+ . N DIKXARR M DIKXARR=X S DIKCOND=1
+ . S X=1
+ . S DIKCOND=$G(X) K X M X=DIKXARR
+ . Q:'DIKCOND
+ . S ^PS(55,"ACX",$E(X(1),1,30),$E(X(2),1,30),DA_"U")=""
+CR3 S DIXR=495
  K X
  S DIKZ(2)=$G(^PS(55,DA(1),5,DA,2))
@@ -84,5 +85,5 @@
  . K X1,X2 M X1=X,X2=X
  . S ^PS(55,"AUDC",$E(X(1),1,20),$E(X(2),1,20),DA(1),DA)=""
-CR4 S DIXR=501
+CR4 S DIXR=497
  K X
  S DIKZ(2)=$G(^PS(55,DA(1),5,DA,2))
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR25.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR25.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR25.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR25 ; COMPILED XREF FOR FILE #55.02 ; 12/12/07
+PSSJXR25 ; COMPILED XREF FOR FILE #55.02 ; 01/17/08
  ; 
  S DA(2)=DA(1) S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR26.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR26.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR26.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR26 ; COMPILED XREF FOR FILE #55.051 ; 12/12/07
+PSSJXR26 ; COMPILED XREF FOR FILE #55.051 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR27.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR27.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR27.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR27 ; COMPILED XREF FOR FILE #55.0611 ; 12/12/07
+PSSJXR27 ; COMPILED XREF FOR FILE #55.0611 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR28.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR28.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR28.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR28 ; COMPILED XREF FOR FILE #55.07 ; 12/12/07
+PSSJXR28 ; COMPILED XREF FOR FILE #55.07 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR29.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR29.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR29.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR29 ; COMPILED XREF FOR FILE #55.09 ; 12/12/07
+PSSJXR29 ; COMPILED XREF FOR FILE #55.09 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR3.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR3.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR3.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR3 ; COMPILED XREF FOR FILE #55.0105 ; 12/12/07
+PSSJXR3 ; COMPILED XREF FOR FILE #55.0105 ; 01/17/08
  ; 
  S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR30.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR30.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR30.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR30 ; COMPILED XREF FOR FILE #55.11 ; 12/12/07
+PSSJXR30 ; COMPILED XREF FOR FILE #55.11 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR31.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR31.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR31.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR31 ; COMPILED XREF FOR FILE #55.1138 ; 12/12/07
+PSSJXR31 ; COMPILED XREF FOR FILE #55.1138 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR32.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR32.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR32.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR32 ; COMPILED XREF FOR FILE #55.6114 ; 12/12/07
+PSSJXR32 ; COMPILED XREF FOR FILE #55.6114 ; 01/17/08
  ; 
  S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR4.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR4.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR4.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR4 ; COMPILED XREF FOR FILE #55.0108 ; 12/12/07
+PSSJXR4 ; COMPILED XREF FOR FILE #55.0108 ; 01/17/08
  ; 
  S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR5.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR5.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR5.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR5 ; COMPILED XREF FOR FILE #55.03 ; 12/12/07
+PSSJXR5 ; COMPILED XREF FOR FILE #55.03 ; 01/17/08
  ; 
  S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR6.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR6.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR6.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR6 ; COMPILED XREF FOR FILE #55.05 ; 12/12/07
+PSSJXR6 ; COMPILED XREF FOR FILE #55.05 ; 01/17/08
  ; 
  S DA=0
@@ -14,5 +14,5 @@
  S X=$P(DIKZ(0),U,1)
  I X'="" K ^PS(55,DA(1),"NVA","B",$E(X,1,30),DA)
-CR1 S DIXR=464
+CR1 S DIXR=479
  K X
  S X(1)=$P(DIKZ(0),U,1)
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR7.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR7.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR7.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR7 ; COMPILED XREF FOR FILE #55.06 ; 12/12/07
+PSSJXR7 ; COMPILED XREF FOR FILE #55.06 ; 01/17/08
  ; 
  S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR8.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR8.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR8.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR8 ; COMPILED XREF FOR FILE #55.06 ; 12/12/07
+PSSJXR8 ; COMPILED XREF FOR FILE #55.06 ; 01/17/08
  ; 
  S X=$P(DIKZ(6.5),U,1)
@@ -32,21 +32,6 @@
  S X=$P(DIKZ(0),U,1)
  I X'="" K ^PS(55,"ANV",DA(1),DA)
-CR1 S DIXR=414
+CR1 S DIXR=480
  K X
- S DIKZ(.2)=$G(^PS(55,DA(1),5,DA,.2))
- S X(1)=$P(DIKZ(.2),U,8)
- S X(2)=$P(DIKZ(0),U,21)
- S X=$G(X(1))
- I $G(X(1))]"",$G(X(2))]"" D
- . K X1,X2 M X1=X,X2=X
- . S:$D(DIKIL) (X2,X2(1),X2(2))=""
- . N DIKXARR M DIKXARR=X S DIKCOND=1
- . S X=1
- . S DIKCOND=$G(X) K X M X=DIKXARR
- . Q:'DIKCOND
- . K ^PS(55,"ACX",$E(X(1),1,30),$E(X(2),1,30),DA_"U")
-CR2 S DIXR=465
- K X
- S DIKZ(2)=$G(^PS(55,DA(1),5,DA,2))
  S X(1)=$P(DIKZ(2),U,2)
  S X(2)=$P(DIKZ(2),U,4)
@@ -60,5 +45,20 @@
  . Q:'DIKCOND
  . D KPSPA^PSJXRFK(.X,.DA,"UD")
-CR3 S DIXR=499
+CR2 S DIXR=492
+ K X
+ S DIKZ(.2)=$G(^PS(55,DA(1),5,DA,.2))
+ S X(1)=$P(DIKZ(.2),U,8)
+ S DIKZ(0)=$G(^PS(55,DA(1),5,DA,0))
+ S X(2)=$P(DIKZ(0),U,21)
+ S X=$G(X(1))
+ I $G(X(1))]"",$G(X(2))]"" D
+ . K X1,X2 M X1=X,X2=X
+ . S:$D(DIKIL) (X2,X2(1),X2(2))=""
+ . N DIKXARR M DIKXARR=X S DIKCOND=1
+ . S X=1
+ . S DIKCOND=$G(X) K X M X=DIKXARR
+ . Q:'DIKCOND
+ . K ^PS(55,"ACX",$E(X(1),1,30),$E(X(2),1,30),DA_"U")
+CR3 S DIXR=495
  K X
  S DIKZ(2)=$G(^PS(55,DA(1),5,DA,2))
@@ -71,5 +71,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . K ^PS(55,"AUDC",$E(X(1),1,20),$E(X(2),1,20),DA(1),DA)
-CR4 S DIXR=501
+CR4 S DIXR=497
  K X
  S DIKZ(2)=$G(^PS(55,DA(1),5,DA,2))
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR9.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR9.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSJXR9.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSJXR9 ; COMPILED XREF FOR FILE #55.02 ; 12/12/07
+PSSJXR9 ; COMPILED XREF FOR FILE #55.02 ; 01/17/08
  ; 
  S DA(2)=DA(1) S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSMARK.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSMARK.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSMARK.m	(revision 636)
@@ -1,4 +1,4 @@
 PSSMARK ;BIR/WRT-Review single NDF matches for CMOP ; 10/27/98 13:44
- ;;1.0;PHARMACY DATA MANAGEMENT;**15,17,20,28,57,82,124**;9/30/97;Build 2
+ ;;1.0;PHARMACY DATA MANAGEMENT;**15,17,20,28,57,82**;9/30/97
  ;
  ;Reference to ^PS(59 supported by DBIA #1976
@@ -35,8 +35,5 @@
  Q
 BLD ;
- I $D(^PSDRUG(PSXUM,"I")) D  ;; <*124 RJS
- .N X,X1,X2
- .S X1=$G(^PSDRUG(PSXUM,"I")),X2=DT D ^%DTC
- .S:X<1 PSSEXP(1)="It has been inactivated."  ;; *124 RJS >
+ I $D(^PSDRUG(PSXUM,"I")) S PSSEXP(1)="It has been inactivated."
  I $D(^PSDRUG(PSXUM,2)),$P(^PSDRUG(PSXUM,2),"^",3)'["O" S PSSEXP(2)="It is not marked for outpatient pharmacy use."
 BLD5 I $P(^PSDRUG(PSXUM,0),"^",3)[1!($P(^(0),"^",3)[2) S PSSEXP(3)="It is a schedule I or schedule II controlled substance."
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX6.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX6.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX6.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSVX6 ; DRIVER FOR COMPILED XREFS FOR FILE #52.6 ; 03/08/06
+PSSVX6 ; DRIVER FOR COMPILED XREFS FOR FILE #52.6 ; 04/10/06
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX61.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX61.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX61.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSVX61 ; COMPILED XREF FOR FILE #52.6 ; 03/08/06
+PSSVX61 ; COMPILED XREF FOR FILE #52.6 ; 04/10/06
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX62.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX62.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX62.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSVX62 ; COMPILED XREF FOR FILE #52.61 ; 03/08/06
+PSSVX62 ; COMPILED XREF FOR FILE #52.61 ; 04/10/06
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX63.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX63.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX63.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSVX63 ; COMPILED XREF FOR FILE #52.63 ; 03/08/06
+PSSVX63 ; COMPILED XREF FOR FILE #52.63 ; 04/10/06
  ; 
  S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX64.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX64.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX64.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSVX64 ; COMPILED XREF FOR FILE #52.6 ; 03/08/06
+PSSVX64 ; COMPILED XREF FOR FILE #52.6 ; 04/10/06
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX65.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX65.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX65.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSVX65 ; COMPILED XREF FOR FILE #52.61 ; 03/08/06
+PSSVX65 ; COMPILED XREF FOR FILE #52.61 ; 04/10/06
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX66.m
===================================================================
--- FOIAVistA/trunk/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX66.m	(revision 631)
+++ FOIAVistA/tag/r/PHARMACY_DATA_MANAGEMENT-PSS/PSSVX66.m	(revision 636)
@@ -1,3 +1,3 @@
-PSSVX66 ; COMPILED XREF FOR FILE #52.63 ; 03/08/06
+PSSVX66 ; COMPILED XREF FOR FILE #52.63 ; 04/10/06
  ; 
  S DA=0
Index: FOIAVistA/tag/r/POLICE_AND_SECURITY-ES/ESPQNC.m
===================================================================
--- FOIAVistA/trunk/r/POLICE_AND_SECURITY-ES/ESPQNC.m	(revision 631)
+++ FOIAVistA/tag/r/POLICE_AND_SECURITY-ES/ESPQNC.m	(revision 636)
@@ -1,4 +1,4 @@
-ESPQNC ;Albany/VAD - QUICK NAME CHECK ; 11/27/07 2:15pm
- ;;1.0;POLICE & SECURITY;**2,18,21,29,45**;Mar 31, 1994;Build 1
+ESPQNC ;Albany/VAD - QUICK NAME CHECK ;Nov 3, 1999
+ ;;1.0;POLICE & SECURITY;**2,18,21,29**;Mar 31, 1994
 START W !! S DIC("A")="Select Name: ",DIC="^ESP(910,",DIC(0)="AEMQZ" D ^DIC I Y<0 G EXIT
  S ESPNAM=+Y W !?5,"SEX: ",$P(^ESP(910,ESPNAM,0),"^",8),?20,"RACE: ",$S($D(^DIC(10,+$P(^(0),"^",9),0)):$P(^DIC(10,+$P(^ESP(910,ESPNAM,0),"^",9),0),"^",1),1:""),!!
@@ -56,5 +56,5 @@
  D ^DIR S ESPX=X W !
  I $D(DTOUT) S ESPSTP=1 Q
- I X["^" S ESPSTP=1 Q
+ I X="^" S ESPSTP=1 Q
  I X=""&'ESPLAST S ESPSTP=0,ESPCNT=0 Q
  I X=""&ESPLAST S ESPSTP=1 Q
Index: FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLBLDC.m
===================================================================
--- FOIAVistA/trunk/r/PROBLEM_LIST-GMPL/GMPLBLDC.m	(revision 631)
+++ FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLBLDC.m	(revision 636)
@@ -1,4 +1,4 @@
 GMPLBLDC ; SLC/MKB -- Build Problem Selection Categories ;3/12/03 9:22
- ;;2.0;Problem List;**3,7,28**;Aug 25, 1994
+ ;;2.0;Problem List;**3,7,28**;Aug 25, 1994;Build 1
  ;
  ; This routine invokes IA #3991
Index: FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLENFM.m
===================================================================
--- FOIAVistA/trunk/r/PROBLEM_LIST-GMPL/GMPLENFM.m	(revision 631)
+++ FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLENFM.m	(revision 636)
@@ -1,4 +1,4 @@
 GMPLENFM ; SLC/MKB/KER -- Problem List Enc Form utilities ; 04/15/2002
- ;;2.0;Problem List;**3,4,7,26**;Aug 25, 1994
+ ;;2.0;Problem List;**3,4,7,26**;Aug 25, 1994;Build 1
  ;
  ; External References
Index: FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLHIST.m
===================================================================
--- FOIAVistA/trunk/r/PROBLEM_LIST-GMPL/GMPLHIST.m	(revision 631)
+++ FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLHIST.m	(revision 636)
@@ -1,4 +1,4 @@
 GMPLHIST ; SLC/MKB/KER -- Problem List Historical data ; 04/15/2002
- ;;2.0;Problem List;**7,26,31**;Aug 25, 1994
+ ;;2.0;Problem List;**7,26,31**;Aug 25, 1994;Build 1
  ;
  ; External References
Index: FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLUTL1.m
===================================================================
--- FOIAVistA/trunk/r/PROBLEM_LIST-GMPL/GMPLUTL1.m	(revision 631)
+++ FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLUTL1.m	(revision 636)
@@ -1,4 +1,4 @@
 GMPLUTL1 ; SLC/MKB/KER -- PL Utilities (cont)               ; 04/15/2002
- ;;2.0;Problem List;**3,8,7,9,26**;Aug 25, 1994
+ ;;2.0;Problem List;**3,8,7,9,26**;Aug 25, 1994;Build 1
  ;
  ; External References
Index: FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLX.m
===================================================================
--- FOIAVistA/trunk/r/PROBLEM_LIST-GMPL/GMPLX.m	(revision 631)
+++ FOIAVistA/tag/r/PROBLEM_LIST-GMPL/GMPLX.m	(revision 636)
@@ -1,4 +1,4 @@
 GMPLX ; SLC/MKB/AJB -- Problem List Problem Utilities ; 02/27/2004
- ;;2.0;Problem List;**7,23,26,28,27**;Aug 25, 1994
+ ;;2.0;Problem List;**7,23,26,28,27**;Aug 25, 1994;Build 1
  ;
  ; External References
Index: FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPOBIL5.m
===================================================================
--- FOIAVistA/trunk/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPOBIL5.m	(revision 631)
+++ FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPOBIL5.m	(revision 636)
@@ -1,5 +1,4 @@
 RMPOBIL5 ;(NG)/DUG - HOME OXYGEN BILLING TRANSACTIONS ;7/24/98
- ;;3.0;PROSTHETICS;**29,99,137**;Feb 09, 1996;Build 5
- N RMPRMERG S RMPRMERG=0
+ ;;3.0;PROSTHETICS;**29,99**;Feb 09, 1996
  S (RC,RA,AN,ANS,RK,RZ)=0 D HDR
  F  S RA=$O(^RMPR(660,"AC",RMPRDFN,RA)) Q:RA=""  D
@@ -7,13 +6,4 @@
  . F  S AN=$O(^RMPR(660,"AC",RMPRDFN,RA,AN)) Q:AN=""  D
  . . I $D(^RMPO(665.72,"AC",AN))>0 S RC=RC+1,IT(RC)=AN
- ;Check for merged accounts
- I $D(^XDRM("B",RMPRDFN_";DPT(")) D
- . S RMPRMERG=$O(^XDRM("B",RMPRDFN_";DPT(",RMPRMERG)) Q:RMPRMERG=""
- . S RMPRMERG=+^XDRM(RMPRMERG,0) Q:RMPRMERG=0  D
- .. S RA=0
- .. F  S RA=$O(^RMPR(660,"AC",RMPRMERG,RA)) Q:RA=""  D
- ... S AN=""
- ... F  S AN=$O(^RMPR(660,"AC",RMPRMERG,RA,AN)) Q:AN=""  D
- .... I $D(^RMPO(665.72,"AC",AN))>0 S RC=RC+1,IT(RC)=AN
  G:'$D(IT) END
 DIS ;DISPLAY APPLIANCES OR REPAIRS
Index: FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPOPED.m
===================================================================
--- FOIAVistA/trunk/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPOPED.m	(revision 631)
+++ FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPOPED.m	(revision 636)
@@ -1,4 +1,4 @@
 RMPOPED ;EDS/MDB,DDW,RVD - HOME OXYGEN MISC FILE EDITS ;7/24/98
- ;;3.0;PROSTHETICS;**29,44,41,52,77,110,140**;Feb 09, 1996;Build 10
+ ;;3.0;PROSTHETICS;**29,44,41,52,77,110**;Feb 09, 1996;Build 10
  ;
  ; HNC - patch 52
@@ -11,5 +11,5 @@
 UNLOCK I $D(RMPODFN) L -^RMPR(665,RMPODFN)
  Q
-EXIT D KILL^XUSCLEAN
+EXIT K DIC,DIE,DIR,DIK,X,Y,Z,DR,DA,DD,DO,D0,DTOUT,DIROUT,DUOUT,DIRUT,QUIT,DFN,ITEM,ITEMS,IEN,IENS,ITMACT,ITM,C,S,W,PI,VDR,ZST
  D UNLOCK
  Q
@@ -171,10 +171,9 @@
 RX ;Edit the Rx Data
  ;
- N RXD,RXDI
  K DIC,DIE,DA,DR
  S DIC="^RMPR(665,"_RMPODFN_",""RMPOB"",",DIC(0)="AEQLZ"
  S DA(1)=RMPODFN,DIC("P")="665.193D"
- S RXD=$O(^RMPR(665,DA(1),"RMPOB","B",""),-1) D:RXD
- . S DIC("B")=$$FMTE^XLFDT(RXD)
+ I $D(^DISV(DUZ,DIC)) S Y=^(DIC) I $D(@(DIC_(+Y)_",0)")) D
+ . S DIC("B")=$P(^(0),U,1)
  D ^DIC Q:Y<0!$$QUIT
  S DIE=DIC,DA=+Y,DR=".01;2//^D EXPIRE^RMPOBIL4;3" D ^DIE Q:$$EQUIT
Index: FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR121B.m
===================================================================
--- FOIAVistA/trunk/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR121B.m	(revision 631)
+++ FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR121B.m	(revision 636)
@@ -1,4 +1,4 @@
 RMPR121B ;PHX/HNC -POST GUI PURCHASE ORDER TRANSACTION ;3/1/2003
- ;;3.0;PROSTHETICS;**90,75,137**;FEB 09,1996;Build 5
+ ;;3.0;PROSTHETICS;**90,75**;FEB 09,1996;Build 25
  ;Per VHA Directive 10-93-142, this routine should not be modified.
 A1(SIG,RMPRA,RMPRSITE) S RMPRGUI=1 G A2
@@ -20,8 +20,7 @@
  S PRCRMPR=1,X=1,PRCRMPR=1
  D UP1^PRCH7PUC(.X,PRCA,PRCB,PRCC,PRCSITE,PRCVEN,PRCRMPR)
- I X="^" D C664 G QUIT
+ I X="^" G QUIT
  S PRC442=$P(^RMPR(664,RMPRA,4),U,6)
  I $P(^PRC(442,PRC442,7),U,1)'=6 G QUT
- S $P(^RMPR(664,RMPRA,0),U,5)="",$P(^RMPR(664,RMPRA,2),U)="",$P(^RMPR(664,RMPRA,2),U,2)=""
  I $D(RMPRPSC) S $P(^RMPR(664,RMPRA,2),U,5)=RMPRPSC
  S DA=RMPRA,DIK="^RMPR(664," D IX1^DIK
@@ -83,6 +82,2 @@
  D DELIV^RMPR121A
  Q
-C664 ;CANCEL 664 ENTRY WHEN IFCAP IS CANCELLED
- S $P(^RMPR(664,RMPRA,0),U,5)=$P(^RMPR(664,RMPRA,0),U),$P(^RMPR(664,RMPRA,2),U,2)=+DUZ
- S WDS="INSUFF FUNDS CANCEL",DA=RMPRA,DR="3.1////^S X=WDS",DIE="^RMPR(664," D ^DIE K WDS
- Q
Index: FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29A.m
===================================================================
--- FOIAVistA/trunk/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29A.m	(revision 631)
+++ FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29A.m	(revision 636)
@@ -1,4 +1,4 @@
 RMPR29A ;PHX/JLT,RVD-RMPR29 CONTINUED [ 09/29/94  11:22 AM ]
- ;;3.0;PROSTHETICS;**12,13,28,41,142**;Feb 09, 1996;Build 2
+ ;;3.0;PROSTHETICS;**12,13,28,41**;Feb 09, 1996
 POST ;POST 2529-3 TO APPLIANCE/REPAIR FILE #660
  I '$D(RMPRDA)!('$D(^RMPR(664.1,RMPRDA,2,0))) Q
@@ -11,5 +11,4 @@
  F RA=0:0 S RA=$O(^RMPR(664.1,RMPRDA,2,RA)) Q:RA'>0  I $D(^(RA,0)) S IT=$P(^(0),U,1),QTY=$P(^(0),U,2),UN=$P(^(0),U,3),RDA=$P(^(0),U,5),TYP=$P(^(0),U,7),ELS=$P(^(0),U,8),SCAT=$P(^(0),U,9),SER=$P(^(0),U,12) D
  .S HCPCS=$P($G(^RMPR(664.1,RMPRDA,2,RA,2)),U,1),RMCPT=$P($G(^(2)),U,2)
- .I RDA,'$D(^RMPR(660,RDA,0)) S RDA=""
  .I 'RDA S DIC="^RMPR(660,",DLAYGO=660,DIC(0)="LZ",X=RMPRDT D FILE^DICN K DLAYGO Q:+Y'>0  S RDA=+Y,RNEW=$P(Y,U,3) S $P(^RMPR(660,RDA,0),U,1)=RMPRDT,$P(^(0),U,2)=RMPRDFN,$P(^(0),U,3)=RMPRDT
 DR .K DR S DR="2///^S X=TYP;4.5////^S X=$G(HCPCS);5///^S X=QTY;9///^S X=SER;78///^S X=UN;8////^S X=RMPR(""STA"");11///^S X=4;62///^S X=ELS;63///^S X=SCAT;68///^S X=RMPRG;4.1////^S X=$P(^RMPR(661.1,HCPCS,0),U,4);4.7////^S X=RMCPT"
Index: FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29BG.m
===================================================================
--- FOIAVistA/trunk/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29BG.m	(revision 631)
+++ FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29BG.m	(revision 636)
@@ -1,9 +1,9 @@
 RMPR29BG ;OI-HINES/SPS -OWL BASE HCPCS ENTER/EDIT/DELETE RPC;12/27/2004
- ;;3.0;PROSTHETICS;**75,142**;Feb 09, 1996;Build 2
+ ;;3.0;PROSTHETICS;**75**;Feb 09, 1996;Build 25
 A1(RMAED,RMPRSITE,RMIE1,RMIE16,RMITM,RMQTY,RMUI,RMTT,RMPC,RMSN,RMHCPC,RMCPTM,RMVEN) ;roll and scroll entry point
  G A2
 EN(RESULTS,RMAED,RMPRSITE,RMIE1,RMIE16,RMITM,RMQTY,RMUI,RMTT,RMPC,RMSN,RMHCPC,RMCPTM,RMVEN,RMBD,RMHTECH,RMPRTXT) ;RPC entry point
 A2 ;
- N J,L,RESULTS,RMIE16C,RMIE16F,R6641,RSITE
+ N J,L,RESULTS,RMIE16C,RMIE16F
  S RESULTS(0)=""
  K ^TMP($J)
@@ -16,7 +16,4 @@
  S ^TMP("SPS",0)=RMAED_U_RMPRSITE_U_RMIE1_U_RMIE16_U_RMITM_U_RMQTY_U_RMUI_U_RMTT_U_RMPC_U_RMSN_U_RMHCPC_U_RMCPTM_U_RMVEN
  S RMIE16F=$O(^RMPR(664.1,RMIE1,2,0))
- S R6641=$G(^RMPR(664.1,RMIE1,0))
- S RSITE=$P(R6641,U,15),RSITE=$O(^RMPR(669.9,"C",RSITE,0))
- I RSITE'=RMPRSITE S RMPRSITE=RSITE
  I RMIE16F>0 S:RMIE16'=RMIE16F RMTT=$P(^RMPR(664.1,RMIE1,2,RMIE16F,0),U,7),RMPC=$P(^(0),U,8)
  I RMIE16=RMIE16F D:RMTT'=$P(^RMPR(664.1,RMIE1,2,RMIE16F,0),U,7)!(RMPC'=$P(^(0),U,8))
@@ -60,11 +57,9 @@
 DEL ;
  S DA=$P(^RMPR(664.1,RMIE1,2,RMIE16,0),U,5)
- I DA'="" D
- . S DIK="^RMPR(660," D ^DIK
- . K DA,DIK
+ S DIK="^RMPR(660," D ^DIK
+ K DA,DIK
  S DA=$P(^RMPR(664.1,RMIE1,2,RMIE16,0),U,6)
- I DA'="" D
- . S DIK="^RMPR(664.2," D ^DIK
- . K DA,DIK
+ S DIK="^RMPR(664.2," D ^DIK
+ K DA,DIK
  S DA(1)=RMIE1,DA=RMIE16,DIK="^RMPR(664.1,"_DA(1)_",2," D ^DIK
  K DA,DIK
Index: FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29CA.m
===================================================================
--- FOIAVistA/trunk/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29CA.m	(revision 631)
+++ FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29CA.m	(revision 636)
@@ -1,9 +1,9 @@
 RMPR29CA ;OI-HINES/HNC,SPS -WORK ORDER SUSPENSE RPC;12/27/2004
- ;;3.0;PROSTHETICS;**75,122,142**;Feb 09, 1996;Build 2
+ ;;3.0;PROSTHETICS;**75,122**;Feb 09, 1996;Build 2
 A1(RMIE68,RMPRDUZ,RMSUSTAT,RMPR6641,RMPRTXT) ;roll and scroll entry point
  G A2
 EN(RESULTS,RMIE68,RMPRDUZ,RMSUSTAT,RMPR6641,RMPRTXT) ;RPC entry point
 A2 ;
- S RESULTS(0)="",STP=0
+ S RESULTS(0)=""
  K ^TMP($J)
  ;
@@ -11,11 +11,8 @@
  ;3=cancel or 4=cancel and clone 
  S RMIE=0
- F  S RMIE=$O(^RMPR(664.1,RMPR6641,2,RMIE)) Q:RMIE'>0  D  Q:STP=1
- .S RMIE60=$P(^RMPR(664.1,RMPR6641,2,RMIE,0),U,5) Q:'RMIE60
+ F  S RMIE=$O(^RMPR(664.1,RMPR6641,2,RMIE)) Q:RMIE'>0  D
+ .S RMIE60=$P(^RMPR(664.1,RMPR6641,2,RMIE,0),U,5)
  .S ^TMP($J,RMIE60)=""
- .D FD
- .I STP=1 Q
- .D UPD
- I STP=1 G EXIT
+ .D FD,UPD
  I RMSUSTAT=1 D CNOTE
  I RMSUSTAT=0 D INOTE,FD
@@ -24,5 +21,5 @@
  I RMSUSTAT=4 D CANOTE^RMPR29CB
  ;set status
- G EXIT
+ Q
 CNOTE ;(#12) COMPLETION NOTE
  ;set file 668
@@ -101,6 +98,9 @@
  D ^DIC
  I Y=-1 S RESULTS(0)="1^Error Modifying Record!" Q
+ ;S DIE=DIC K DIC
  S (DA,RMPRDA2)=+Y
+ ;S DR="1" D ^DIE
  K DIE,DR,Y
+ ;S ^RMPR(668,RMIE68,1,0)="^668.011DA^1^1"
  N RMPRC
  S L="",LN=0
@@ -167,5 +167,5 @@
  S:RMSUSTAT="" RMSUSTAT=0
  L +^RMPR(660,RMIE60):2
- I $T=0 S RESULTS(0)="1^Someone else is Editing this entry! If this problem persists contact your IRM to clear the Lock Table",STP=1 Q
+ I $T=0 S RESULTS(0)="1^Someone else is Editing this entry!" G EXIT
  S RM680=$G(^RMPR(668,RMIE68,0))
  S RM688=$G(^RMPR(668,RMIE68,8))
@@ -202,19 +202,18 @@
  D FILE^DIE("","RMDAT","RMERROR")
  L -^RMPR(660,RMIE60)
- I $D(RMERROR) S RMERR=1,STP=1 G ERR
+ I $D(RMERROR) S RMERR=1 D ERR
  ;
  Q
 UPD ;update file 668 with 2319 records
- K DD,DO
+ K DD,D0
  S DA(1)=RMIE68
  S DIC="^RMPR(668,"_DA(1)_","_"10,"
  S DIC(0)="L",DLAYGO=668,X=RMIE60
  D FILE^DICN
- K X,DD,DO
  S DA(1)=RMIE68
  S DIC="^RMPR(668,"_DA(1)_","_"11,"
  S X=RMAMIS
  D FILE^DICN
- K DIC,X,DLAYGO,DO
+ K DIC,X,DLAYGO,D0
  Q
 A3 G A4
@@ -226,7 +225,6 @@
  Q
 ERR ;exit on error
- S RESULTS(0)="1^ERROR WAS "_RMERROR("DIERR",1,"TEXT",1)
 EXIT ;
- K %,BDC,RM688,RMAA,RMAMIS,RMCODT,RMDAT,RMDWRT,RMICD9,RMIE,RMIE60,RMINDT
- K RMPRCO,RMPRDI,RMSERV,RMSTAT,RMTRES,RMTYRE,STP
- Q
+ K RMTYRE,RMTRES,RMSUSTAT,RMSTAT,RMSERV,RMEQU,RMPRTST,RMPRDUZ,RMPRDI,RMPRCO,RMPR6641,RMIE68
+ K RMIE60,RMIE,RMICD9,RMDWRT,RMDAT,RMCODT,RMAMIS,RMAA,RM688,RMPRTXT
+ K BDC,BAD,%,RMINDT,RMPREQU
Index: FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29GA.m
===================================================================
--- FOIAVistA/trunk/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29GA.m	(revision 631)
+++ FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR29GA.m	(revision 636)
@@ -1,4 +1,4 @@
 RMPR29GA ;PHX/JLT,RVD,SPS-RMPR29 CONTINUED [ 09/29/94  11:22 AM ]
- ;;3.0;PROSTHETICS;**75,60,142**;Feb 09, 1996;Build 2
+ ;;3.0;PROSTHETICS;**75,60**;Feb 09, 1996;Build 18
  ; Developed form RMPR29A for the GUI application
 POST ;POST 2529-3 TO APPLIANCE/REPAIR FILE #660
@@ -14,5 +14,4 @@
  .S HCPCS=$P($G(^RMPR(664.1,RMPRDA,2,RA,2)),U,1),RMCPT=$P($G(^(2)),U,2),RMHTECH=$P($G(^(2)),U,3)
  .;Changed .01 and 1 fields to create date DT below 5/25/06 for 75 SPS
- .I RDA,'$D(^RMPR(660,RDA,0)) S RDA=""
  .I 'RDA S DIC="^RMPR(660,",DLAYGO=660,DIC(0)="LZ",X=DT D FILE^DICN K DLAYGO Q:+Y'>0  S RDA=+Y,RNEW=$P(Y,U,3) S $P(^RMPR(660,RDA,0),U,1)=DT,$P(^(0),U,2)=RMPRDFN,$P(^(0),U,3)=DT
 DR .K DR
Index: FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR4C21.m
===================================================================
--- FOIAVistA/trunk/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR4C21.m	(revision 631)
+++ FOIAVistA/tag/r/PROSTHETICS-RMPR-RMPO-RMPS/RMPR4C21.m	(revision 636)
@@ -1,5 +1,5 @@
 RMPR4C21 ;PHX/HNB-CANCEL A PURCHASE CARD TRANSACTION;3/1/1996
- ;;3.0;PROSTHETICS;**3,20,62,140**;Feb 09, 1996;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;PROSTHETICS;**3,20,62**;Feb 09, 1996
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  ;RVD patch #62 - pce interface
  ;
@@ -25,5 +25,4 @@
  S RMPR442=$P($G(^RMPR(664,RMPRA,4)),U,6)
  I RMPR442="" G BYPASS
- I $P($G(^PRC(442,RMPR442,7)),U)=45 W !!,"Purchase Card CANCELLED in IFCAP, will cancel open Pros PC order, hit return" R X:10 G BYPASS
  D CAN^PRCH7B(.X,RMPRA,RMPR442,0)
  I X="^" W !!,"NOT CANCELED You must say YES to 'Approve and print Amendment number'" G EXIT
